<div>
    <div>
        <button class="edit" *ngIf="!profileService.editingProfileCondition" title="Edit profile" (click)="initEditProfile()">
            <fa-icon [icon]="this.icons.edit"></fa-icon>
        </button>
        <button class="cancel" *ngIf="profileService.editingProfileCondition" title="Cancel" (click)="cancelEditProfile()">
            <fa-icon [icon]="this.icons.cancel"></fa-icon>
        </button>
        <h3 class="title">User Profile</h3>
        <button class="leave" (click)="logout()"><fa-icon [icon]="this.icons.leave"></fa-icon></button>
    </div>
    <form (ngSubmit)="saveChanges()">
        <dl>
            <dt>Name</dt>
            <dd *ngIf="!profileService.editingProfileCondition">{{ profile.Name }}</dd>
            <input *ngIf="profileService.editingProfileCondition" type="text" placeholder="Name" name="name" 
            [(ngModel)]="profile.Name">
        
            <dt>Email</dt>
            <dd *ngIf="!profileService.editingProfileCondition">{{ profile.Email }}</dd>
            <input *ngIf="profileService.editingProfileCondition" type="email" placeholder="Email" name="email" 
            [(ngModel)]="profile.Email">

            <dt>State</dt>
            <dd *ngIf="!profileService.editingProfileCondition">{{ profile.State }}</dd>
            <input *ngIf="profileService.editingProfileCondition" type="text" placeholder="State" name="state" 
            [(ngModel)]="profile.State">
        
            <dt>City</dt>
            <dd *ngIf="!profileService.editingProfileCondition">{{ profile.City }}</dd>
            <input *ngIf="profileService.editingProfileCondition" type="text" placeholder="City" name="city" 
            [(ngModel)]="profile.City">
        
            <dt>Street Address</dt>
            <dd *ngIf="!profileService.editingProfileCondition">{{ profile.StreetAdress }}</dd>
            <input *ngIf="profileService.editingProfileCondition" type="text" placeholder="Street Address" name="streetAdress" 
            [(ngModel)]="profile.StreetAdress">
        </dl>
        <input *ngIf="profileService.editingProfileCondition" type="submit" value="Save changes">
    </form>
</div>
